Subject: [Vintage-race] SVRA Question <vintage-race.autox.team.net>

From: David Franks <[email-masked]>
Date: Mon, 20 Oct 2014 20:05:14 -0700

I haven't seen much from this list lately so lets see what response I can
get.

It appears SVRA is moving west, what do you vintage racers who have had the
opportunity to run with them over the last few years think of the
organization? I have reviewed their web site and the car prep rules seem
reasonable. How are the events run from a participants point of view?

I'm hoping they do a good job of promoting the event they have taken over in
my area as spectators and participation has been declining.

Thanks for your observations.

Dave
_______________________________________________
[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/vintage-race/[email-masked]